Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027175
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2014-07-24 11:162014-08-08 18:54
ReportercaristuView Statuspublic 
Assigned Toshankarb 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchpiFixed in SCM revisiond615cdf136a1
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0PR14Q2.4SCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2014-02-14
Regression introduced in release3.0PR14Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/6dbc1b83b1f1 [^]
Triggers an Emergency PackNo
Summary

0027175: Unexpected field in Search Product selector

DescriptionA field called Identifier is appearing in the Search Product selector grid. This field is not defined in the application dictionary ([Defined Selector Field] tab of the reference) and is not possible to hide it.
Steps To Reproduce1) Go to the [Purchase Order] window
2) Create a new record in the header
3) Go to the [Lines] tab and open the product selector (See attached)
TagsNo tags attached.
Attached Filespng file icon IdentifierColumn.png [^] (78,762 bytes) 2014-07-24 11:17

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0025783 closedalostale review xss 

-  Notes
(0068863)
hgbot (developer)
2014-07-24 13:24

Repository: erp/devel/pi
Changeset: d615cdf136a1710d9c48b5999b5df5c8133b55db
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Thu Jul 24 16:34:46 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/d615cdf136a1710d9c48b5999b5df5c8133b55db [^]

Fixes issue 27175: Unexpected field in Search Product selector

escape html in identifier field only if it is present in the selector grid.

---
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
---
(0068866)
shankarb (developer)
2014-07-24 13:55

Reopen to add related to issue
(0068868)
alostale (developer)
2014-07-24 13:58

code reviewed + tested
(0069222)
hudsonbot (developer)
2014-08-08 18:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-07-24 11:16 caristu New Issue
2014-07-24 11:16 caristu Assigned To => AugustoMauch
2014-07-24 11:16 caristu File Added: IdentifierColumn.png
2014-07-24 11:16 caristu Modules => Core
2014-07-24 11:16 caristu Regression level => Production - QA Approved
2014-07-24 11:16 caristu Triggers an Emergency Pack => No
2014-07-24 11:17 caristu File Deleted: IdentifierColumn.png
2014-07-24 11:17 caristu File Added: IdentifierColumn.png
2014-07-24 11:19 caristu Regression level Production - QA Approved =>
2014-07-24 11:21 caristu Regression level => Production - QA Approved
2014-07-24 11:22 caristu Description Updated View Revisions
2014-07-24 11:23 caristu Summary Unexpected column in Search Product selector => Unexpected field in Search Product selector
2014-07-24 11:23 caristu Description Updated View Revisions
2014-07-24 12:29 caristu Resolution time => 1412719200
2014-07-24 12:56 shankarb Review Assigned To => alostale
2014-07-24 12:56 shankarb Regression date => 2014-02-14
2014-07-24 12:56 shankarb Regression introduced in release => 3.0PR14Q2
2014-07-24 12:56 shankarb Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/6dbc1b83b1f1 [^]
2014-07-24 12:56 shankarb Assigned To AugustoMauch => shankarb
2014-07-24 13:24 hgbot Checkin
2014-07-24 13:24 hgbot Note Added: 0068863
2014-07-24 13:24 hgbot Status new => resolved
2014-07-24 13:24 hgbot Resolution open => fixed
2014-07-24 13:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d615cdf136a1710d9c48b5999b5df5c8133b55db [^]
2014-07-24 13:55 shankarb Note Added: 0068866
2014-07-24 13:55 shankarb Status resolved => new
2014-07-24 13:55 shankarb Resolution fixed => open
2014-07-24 13:55 shankarb Relationship added related to 0025783
2014-07-24 13:57 alostale Status new => scheduled
2014-07-24 13:57 alostale fix_in_branch => pi
2014-07-24 13:57 alostale Status scheduled => resolved
2014-07-24 13:57 alostale Resolution open => fixed
2014-07-24 13:58 alostale Note Added: 0068868
2014-07-24 13:58 alostale Status resolved => closed
2014-07-24 13:58 alostale Fixed in Version => 3.0PR14Q4
2014-08-08 18:54 hudsonbot Checkin
2014-08-08 18:54 hudsonbot Note Added: 0069222


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker